/[gentoo-x86]/dev-lang/ruby/ChangeLog
Gentoo

Diff of /dev-lang/ruby/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.347 Revision 1.386
1# ChangeLog for dev-lang/ruby 1# ChangeLog for dev-lang/ruby
2# Copyright 2002-2008 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 2002-2009 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.347 2008/08/29 06:25:34 graaff Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.386 2009/03/10 14:43:35 a3li Exp $
4
5 10 Mar 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.7_p72-r10.ebuild:
6 Unsetting RUBYOPT in src_install, backport from Ruby 1.9 ebuilds, fixes
7 bug 261982.
8
9 09 Mar 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p287-r1.ebuild,
10 -ruby-1.8.6_p287-r3.ebuild, -ruby-1.8.6_p287-r4.ebuild,
11 -ruby-1.8.6_p287-r10.ebuild, -ruby-1.8.6_p287-r11.ebuild,
12 -ruby-1.8.7_p72-r1.ebuild, -ruby-1.8.7_p72-r2.ebuild:
13 Cleanup
14
15*ruby-1.8.7_p72-r10 (07 Mar 2009)
16
17 07 Mar 2009; Diego E. Pettenò <flameeyes@gentoo.org>
18 +ruby-1.8.7_p72-r10.ebuild:
19 Add a revision of ruby 1.8.7 using eselect ruby.
20
21 03 Mar 2009; Peter Volkov <pva@gentoo.org> ruby-1.8.6_p287-r12.ebuild:
22 ~mips keyworded, bug #252315.
23
24 25 Feb 2009; Tobias Scherbaum <dertobi123@gentoo.org>
25 ruby-1.8.6_p287-r5.ebuild:
26 ppc stable, bug #260006
27
28 25 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
29 arm/ia64/s390/sh/sparc/x86 stable wrt #260006
30
31 24 Feb 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p287-r5.ebuild,
32 ruby-1.8.6_p287-r12.ebuild, ruby-1.8.7_p72-r2.ebuild:
33 Fixing Tk USE flag test, bug 258893.
34
35 23 Feb 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
36 Marking ruby-1.8.6_p287-r5 ppc64 for bug 260006
37
38 23 Feb 2009; Tobias Heinlein <keytoaster@gentoo.org>
39 ruby-1.8.6_p287-r5.ebuild:
40 amd64 stable wrt security bug #260006
41
42 23 Feb 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
43 Stable for HPPA (bug #260006).
44
45 23 Feb 2009; Tobias Klausmann <klausman@gentoo.org>
46 ruby-1.8.6_p287-r5.ebuild:
47 Stable on alpha, bug #260006
48
49*ruby-1.8.7_p72-r2 (23 Feb 2009)
50*ruby-1.8.6_p287-r12 (23 Feb 2009)
51*ruby-1.8.6_p287-r5 (23 Feb 2009)
52
53 23 Feb 2009; Alex Legler <a3li@gentoo.org> +files/ruby-mkconfig.patch,
54 +files/ruby-ossl_ocsp-verification.patch, +ruby-1.8.6_p287-r5.ebuild,
55 +ruby-1.8.6_p287-r12.ebuild, +ruby-1.8.7_p72-r2.ebuild:
56 Revision bumps for security bug 260006 (X.509 certificate spoofing). Also
57 fixing bugs 234877 (backported patch for mkconfig), 258893 (ebuild dies
58 now before compilation if Tk useflags don't match) and 230748 (adding
59 --enable-option-checking=no for newer versions of autoconf).
60
61 10 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
62 arm/ia64/s390/sh/sparc stable wrt #254307
63
64 25 Jan 2009; Tobias Klausmann <klausman@gentoo.org>
65 ruby-1.8.6_p287-r4.ebuild:
66 Stable on alpha, bug #254307
67
68 20 Jan 2009; Alexis Ballier <aballier@gentoo.org>
69 ruby-1.8.6_p287-r11.ebuild:
70 keyword ~x86-fbsd, bug #252315
71
72 17 Jan 2009; nixnut <nixnut@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
73 ppc stable #254307
74
75 15 Jan 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
76 amd64/x86 stable, bug #254307
77
78 14 Jan 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
79 stable ppc64, bug 254307
80
81 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
82 Stable for HPPA (bug #254307).
83
84 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r10.ebuild,
85 ruby-1.8.6_p287-r11.ebuild:
86 Marked ~hppa (bug #252315).
87
88*ruby-1.8.6_p287-r11 (11 Jan 2009)
89
90 11 Jan 2009; Hans de Graaff <graaff@gentoo.org>
91 +files/ruby-1.8.6-openssl.patch, +ruby-1.8.7_p287-r4,
92 +ruby-1.8.6_p287-r11.ebuild:
93 Backport conditional definition of missing openssl functions from ruby 1.8.7.
94 Fixes #254307.
95
96 29 Dec 2008; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
97 Marking ruby-1.8.6_p287-r10 ~ppc64 for bug 252315
98
99 26 Dec 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
100 Add ~alpha/~arm/~ia64/~s390/~sh wrt #251159
101
102 24 Dec 2008; Friedrich Oslage <bluebird@gentoo.org>
103 ruby-1.8.6_p287-r10.ebuild:
104 Add ~sparc keyword, bug #252315
105
106*ruby-1.8.6_p287-r10 (23 Dec 2008)
107
108 23 Dec 2008; Hans de Graaff <graaff@gentoo.org>
109 +ruby-1.8.6_p287-r10.ebuild:
110 Version bump which switches from ruby-config to eselect-ruby. Dropped most
111 keywords since eselect-ruby does not yet have these keywords.
112
113 23 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
114 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
115 Revert the ruby-config changes. We can't remove them until we provide an
116 alternative outside the ebuilds, and eselect-ruby isn't stable yet. Apologies
117 for breaking things as mentioned in bug #251833.
118
119 22 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
120 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
121 ruby-1.8.7_p72-r1.ebuild:
122 Remove pkg_postinst and pkg_postrm functions now that ruby-config is gone.
123 Thanks for the people noticing this in bug #251833.
124
125 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
126 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
127 ruby-1.8.7_p72-r1.ebuild:
128 Drop dependency on ruby-config, which will be removed from the tree. We
129 currently only have one major version of ruby in the tree (Ruby 1.8), so there
130 is no need for ruby-config at this moment. For newer versions of Ruby we will
131 use eselect-ruby, which can be found in the ruby overlay at the moment.
132
133 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
134 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
135 Use mirror://ruby in SRC_URI, fixes #237392.
136
137 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p111.ebuild,
138 -ruby-1.8.6_p111-r1.ebuild, -ruby-1.8.6_p287-r2.ebuild,
139 -ruby-1.8.7_p72.ebuild:
140 Remove old versions. Leave one old stable version with cjk support.
141
142*ruby-1.8.6_p287-r3 (29 Nov 2008)
143
144 29 Nov 2008; Hans de Graaff <graaff@gentoo.org>
145 files/ruby-1.8.6_p287-entity_expansion_limit.diff,
146 +ruby-1.8.6_p287-r3.ebuild:
147 Fix our expansion limit patch according to debian bug report
148 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502535 and bump the ebuild to
149 make sure people will pick up the fixed version. Thanks to Alex Legler for
150 mentioning the patch.
151
152*ruby-1.8.7_p72-r1 (26 Nov 2008)
153*ruby-1.8.6_p287-r2 (26 Nov 2008)
154
155 26 Nov 2008; Hans de Graaff <graaff@gentoo.org>
156 +files/ruby-1.8.6-shortname_constants.patch, +ruby-1.8.6_p287-r2.ebuild,
157 +ruby-1.8.7_p72-r1.ebuild:
158 Fix problem with shortname constants #247790, already fixed in upstream SVN.
159 Thanks to Alex Legler for providing the patch.
160
161 26 Nov 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p286.ebuild,
162 -ruby-1.8.6_p287.ebuild:
163 Remove versions that will not become stable
164
165 16 Sep 2008; Tobias Scherbaum <dertobi123@gentoo.org>
166 ruby-1.8.6_p287-r1.ebuild:
167 ppc stable, bug #225465
168
169 11 Sep 2008; Tobias Heinlein <keytoaster@gentoo.org>
170 ruby-1.8.6_p287-r1.ebuild:
171 amd64 stable wrt security bug #225465
172
173 11 Sep 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
174 alpha/ia64/x86 stable wrt #225465
175
176 11 Sep 2008; Ferris McCormick <fmccor@gentoo.org>
177 ruby-1.8.6_p287-r1.ebuild:
178 Sparc stable --- Security Bug #225465 --- good since late August.
179
180 11 Sep 2008; Markus Rothe <corsair@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
181 Stable on ppc64; bug #225465
182
183 11 Sep 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
184 Stable for HPPA (bug #225465).
4 185
5*ruby-1.8.6_p287-r1 (29 Aug 2008) 186*ruby-1.8.6_p287-r1 (29 Aug 2008)
6 187
7 29 Aug 2008; Hans de Graaff <graaff@gentoo.org> 188 29 Aug 2008; Hans de Graaff <graaff@gentoo.org>
8 +files/ruby-1.8.6_p287-entity_expansion_limit.diff, 189 +files/ruby-1.8.6_p287-entity_expansion_limit.diff,

Legend:
Removed from v.1.347  
changed lines
  Added in v.1.386

  ViewVC Help
Powered by ViewVC 1.1.20